%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:		GNOME default icons
Name:			gnome-icon-theme
Version:		3.6.2
Release:		%mkrel 2
License:		GPLv2+
Group:			Graphical desktop/GNOME
URL:			http://www.gnome.org/
Source0:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:		intltool
BuildRequires:		hicolor-icon-theme
BuildRequires:		icon-naming-utils >= 0.8.7
BuildRequires:		gtk+2.0
BuildArch:		noarch
Requires:		hicolor-icon-theme
Requires(post):		gtk+2.0 >= 2.6.0
Requires(postun):	gtk+2.0 >= 2.6.0

%description
GNOME default icons

%prep
%setup -q

%build
%configure2_5x --enable-icon-mapping
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
touch %buildroot%{_datadir}/icons/gnome/icon-theme.cache

# automatic gtk icon cache update on rpm installs/removals
# (see http://wiki.mandriva.com/en/Rpm_filetriggers)
install -d %buildroot%{_var}/lib/rpm/filetriggers
cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-gnome.filter << EOF
^./usr/share/icons/gnome/
EOF
cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-gnome.script << EOF
#!/bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]; then 
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/gnome
fi
EOF
chmod 755 %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-gnome.script


%post
%{_bindir}/gtk-update-icon-cache --force --quiet %{_iconsdir}/gnome

%postun
%{_bindir}/gtk-update-icon-cache --force --quiet %{_iconsdir}/gnome

%files
%doc README TODO
%dir %{_datadir}/icons/gnome
%{_datadir}/icons/gnome/*x*
%_datadir/pkgconfig/%name.pc
%ghost %{_datadir}/icons/gnome/icon-theme.cache
%{_var}/lib/rpm/filetriggers/gtk-icon-cache-gnome.*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352139
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 318052
- new version 3.6.2

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297583
- new version 3.6.0

* Wed Aug 22 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283198
- new version 3.5.90

* Wed Aug 08 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 280040
- new version 3.5.5

* Wed Mar 28 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 227309
- new version 3.4.0

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219139
- new version 3.3.91

* Wed Oct 19 2011 wally <wally> 3.2.1.2-1.mga2
+ Revision: 156687
- new version 3.2.1.2

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156311
- new version 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149415
- new version 3.2.0

* Thu Sep 01 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 137474
- fix post script
- br gtk-update-icon-cache
- new version 3.1.90
- new version 3.1.4

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.0-1.mga2
+ Revision: 102133
- New version 3.0.0

* Sat Jan 15 2011 blino <blino> 2.31.0-2.mga1
+ Revision: 19301
- remove version in comment
- remove old conflicts
- imported package gnome-icon-theme

